SoulSeek para Linux

E aí, cansou de tentar rodar o Kazaa com o wine no Linux? Copiou os dll's, editou o arquivo config do wine e nada aconteceu? Calma, experimente o PySoulSeek e, sem malabarismos, entre numa ótima rede de transferência de arquivos.

[ Hits: 30.567 ]

Por: Marco em 23/02/2003


PySoulSeek



O PySoulSeek é um programa de transferência de arquivos que está sob a licença GPL. Para rodar o PySoulSeek no seu Linux, você vai precisar ter instalado:
  • Gtk+ 1.2
  • Python 2.2 ou superior
  • wxPython 2.3.4 ou superior
Opcionalmente, para poder ver os bitrates de arquivos ogg vorbis também vai precisar de pyogg-1.0-1 e pyvorbis-1.0-1, todos encontrados na homepage do programa.

Os usuários Red Hat e SuSe precisam apenas baixar o rpm oficial do wxPythonGtk de http://www.wxpython.org. Usuários Debian, FreeBSD e MacOsX não foram esquecidos, devendo procurar os links necessários na homepage. Não vou abordar aqui a instalação dos pacotes rpm e tar.gz por eles não requerem nenhuma configuração adicional. Apenas tenha certeza que o seu interpretador python está em /usr/bin.

Para chamar o programa digite: pyslsk

Depois de iniciado o programa você deverá ir na opção Settings e escolher as configurações de servidor. Em Server clique apenas em choose que automaticamente vai ser detectado o servidor, dê um OK que está pronto. Escolha também um nome de login e uma senha e em Network Character encoding deixe como está.

Na aba transfers você vai escolher o diretório para download e opcionalmente outras pastas para compartilhar. Você também pode escolher compartilhar apenas o diretório de download, mas lembre-se: COMPARTILHE seus arquivos para a rede poder crescer.

As outras duas abas, personal info e miscellaneous são opcionais e você pode até colocar uma foto se quiser.

Pronto! Seu PySoulSeek já deve estar rodando. Entre na aba de chat e veja se tem alguma sala de seu interesse (sempre tem salas de brasileiros). Descubra as funções do programa, compartilhe seus arquivos sem a necessidade de fazer malabarismos e prestigie mais um ótimo software livre.

Logo logo estarei mandando um screenshot do meu desktop rodando o programa. Até mais!

O link para a homepage é:

   

Páginas do artigo
   1. PySoulSeek
Outros artigos deste autor

eDonkey para Linux

Utilizando o Urpmi

Problemas com hdparm no Red Hat 8

Leitura recomendada

GRUB 2 - Monte você mesmo o menu

Yenka - Mais que um simulador de circuitos eletrônicos

Gerando pacotes no Slack com o checkinstall

Instalação de um servidor de mensagens instantâneas Openfire na sua rede com clientes Microsoft Windows e cliente Jabber Exodus

Anunciando Minitunes: Um melhor tocador de música!

  
Comentários
[1] Comentário enviado por Apocalipse em 01/01/1996 - 02:59h

Meu amigo... Vou te dizer uma coisa. Esse programa pelo jeito é show de bola, apesar de eu não ter baixado o dito cujo, mas mesmo assim. Pelo o que eu li, dá um coro legal no WINE.

Ass.: Apocalipse.

[2] Comentário enviado por fabio em 12/03/2003 - 09:18h

E para os usuários de Debian, o soulseek já está empacotado:

# apt-get install pyslsk

[3] Comentário enviado por marco antonio em 15/03/2003 - 21:34h

Acaba de sair a versão 1.0 do programa.

[4] Comentário enviado por pinrusty em 09/07/2004 - 22:59h

muito bom seu artigo!

[5] Comentário enviado por slugz em 28/05/2005 - 20:41h

ta dando esse erro pra mim..
[email protected]@terra:~/Programas/pyslsk-1.2.7b# ./pyslsk
Can not find wxPython modules. Either wxPython is not
installed, or it's not in Python's module search path (it could be built
for a different version of python interpreter for example). The current
search path is
['/root/Programas/pyslsk-1.2.7b', '/usr/lib/python23.zip', '/usr/lib/python2.3', '/usr/lib/python2.3/plat-linux2', '/usr/lib/python2.3/lib-tk', '/usr/lib/python2.3/lib-dynload', '/usr/lib/python2.3/site-packages']

[6] Comentário enviado por slugz em 28/05/2005 - 20:42h

se alguem puder me responder me ajudar me mandar um email eu agradeco

[7] Comentário enviado por paes em 10/10/2005 - 17:50h

se ngm te respondeu ainda, esse erro deve ser porque você não tem o wxPython instalado ou o próprio python.

até mais

[8] Comentário enviado por marianacastro em 12/01/2006 - 23:04h

e usuários de slack? :/

[9] Comentário enviado por lulla em 30/04/2006 - 03:16h

Muito bom saber que o Debian já apresenta o pacote do SoulSeek. É por estas e outras que eu acho o Debian maravilhoso! =)

[10] Comentário enviado por manson666 em 06/11/2006 - 00:32h

ha tambem o nicotine basta digitar apt-get install nicotine (debian e derivados) muito bom tambem!!

[11] Comentário enviado por marcelovegano em 01/06/2009 - 14:06h

alguém pode me ajudar?

o meu dá o seguinte erro:

Traceback (most recent call last):
File "setup.py", line 20, in <module>
from pysoulseek.utils import version
File "/home/frodo/Desktop/soulseek_para_linux/pyslsk-1.2.7c/pysoulseek/utils.py", line 44
i = i.replace("/")
^
TabError: inconsistent use of tabs and spaces in indentation


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts